import { MsgUnjail as BaseMsgUnjail } from '@routerprotocol/chain-api/cosmos/slashing/v1beta1/tx_pb';
import { MsgBase } from '../../MsgBase';
export declare namespace MsgUnjail {
    interface Params {
        validatorAddr: string;
    }
    interface DirectSign {
        type: '/cosmos.slashing.v1beta1.MsgUnjail';
        message: BaseMsgUnjail;
    }
    interface Data extends BaseMsgUnjail.AsObject {
        '@type': '/cosmos.slashing.v1beta1.MsgUnjail';
    }
    interface Amino extends BaseMsgUnjail.AsObject {
        type: 'cosmos-sdk/MsgUnjail';
    }
    interface Web3 extends BaseMsgUnjail.AsObject {
        '@type': '/cosmos.authz.v1beta1.MsgUnjail';
    }
    type Proto = BaseMsgUnjail;
}
/**
 * @group Message
 */
export default class MsgUnjail extends MsgBase<MsgUnjail.Params, MsgUnjail.Data, MsgUnjail.Proto, MsgUnjail.Amino, MsgUnjail.DirectSign> {
    static fromJSON(params: MsgUnjail.Params): MsgUnjail;
    toProto(): MsgUnjail.Proto;
    toData(): MsgUnjail.Data;
    toAmino(): MsgUnjail.Amino;
    toWeb3(): MsgUnjail.Web3;
    toDirectSign(): MsgUnjail.DirectSign;
}
